#include "main.h"
#include "led.h"
//------------------------------------------------
//CS = RC6
#define CS_ON() PORTC &= ~0x40
#define CS_OFF() PORTC |= 0x40
//------------------------------------------------
unsigned int TIM1_Count=0;
//------------------------------------------------
void interrupt timer0()
{
  TIM0_Callback();
  T0IF=0;
}
//------------------------------------------------
static unsigned char SPI_Receive_byte(unsigned char data)
{
  unsigned char temp;
  SSPBUF=data;
  while(!SSPIF);
  SSPIF=0;
  temp=SSPBUF;
  return temp;
}
//------------------------------------------------
void main()
{
  unsigned long dt1=0, dt2=0, res=0;
  TRISB = 0x00;
  PORTB = 0xFF;
  TRISA = 0x00;
  PORTA = 0x00;
  OPTION_REG=0b00000010; //Prescaler
  INTCON=0xA0;
  TMR0=0;
  ledprint(1234);
  TRISC=0x10;//RC4 Input (MISO)
  // SSPM3:SSPM0 = 0000 (SPI Master mode, clock = 1 MHz)
  // SKE=1, SKP=0 (SPI_MODE0)
  // SMP=1 (Input data sampled at end of data output time)
  // SSPEN= 1 (SPI Enabled)
  SSPSTAT=0XC0;
  SSPCON=0X30;
  while(1)
  {
    CS_ON();
    dt1 = SPI_Receive_byte(0xFF);
    dt2 = SPI_Receive_byte(0xFF);
    CS_OFF();
    //Vref = 4.62V
    res = (((dt1<<7)|(dt2>>1))&0x00000FFF)*462/4096;
    ledprint((unsigned int) res);
    __delay_ms(200);
  }
}
//------------------------------------------------
